Page MenuHomePhabricator

LQT conversion sends notifications for every single topic I've participated in, not just Unread ones
Closed, ResolvedPublic

Description

The LQT conversion is meant to preserve any "Unread" threads listed in our Special:NewMessages by converting them into Echo Notifications.
The first conversion on MediaWiki.org of https://www.mediawiki.org/wiki/Talk:Echo_%28Notifications%29 resulted in us getting Notifications for all topics we had ever participated in, even though some of these were years old and definitely marked as "read" previously. (e.g.)

Related Objects

Event Timeline

Quiddity created this task.May 13 2015, 6:49 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2015, 6:49 PM
Ltrlg added a subscriber: Ltrlg.May 15 2015, 11:41 AM
DannyH triaged this task as Normal priority.May 15 2015, 10:15 PM
DannyH set Security to None.
DannyH added a subscriber: DannyH.

Putting this into the Sprint B board, because it's a blocker for T92303: Convert LQT pages on MediaWiki.org to Flow (tracking)

Change 214049 had a related patch set uploaded (by Matthias Mullie):
Only import unread LQT notifications

https://gerrit.wikimedia.org/r/214049

matthiasmullie added a comment.EditedMay 28 2015, 1:53 PM

I can keep looking at this, but couldn't find anything so far:

  • All notifications that could be fired when storing data should be ignored by the $metadata['imported'] check in NotificationListener.php
  • user-locators & EchoGetDefaultNotifiedUsers hook are properly killed in LqtNotifications.php
  • They are killed before any notification could even be triggered
  • We trigger 1 notification from LqtNotifications::afterTopicImported, that should only be sent to LqtNotifications::locateUsersWithPendingLqtNotifications

It all seems to work perfectly fine, and I am unable to reproduce the problem. Maybe this has already been solved, but I could not reproduce this problem with code from back when this was filed either.
I can keep looking, but maybe someone else could try if they can reproduce it, before I waste more time on something I can't properly debug?

Oh, the patch I have up makes some minor changes, but it shouldn't make a difference. In essence, I can't currently find anything wrong with the existing code.

matthiasmullie removed matthiasmullie as the assignee of this task.May 28 2015, 1:54 PM

I'll do some testing on this, probably locally and Beta first.

Change 214049 merged by jenkins-bot:
Make sure no other user-locators cause notifications during lqt-import

https://gerrit.wikimedia.org/r/214049

Mattflaschen-WMF raised the priority of this task from Normal to High.Jun 1 2015, 6:24 PM

Change 215271 had a related patch set uploaded (by Mattflaschen):
Fix users getting notifications despite not having Special:NewMessages.

https://gerrit.wikimedia.org/r/215271

Change 215271 merged by jenkins-bot:
Fix users getting notifications despite not having Special:NewMessages.

https://gerrit.wikimedia.org/r/215271

DannyH closed this task as Resolved.Jun 2 2015, 4:24 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Sprint-B-2015-05-20 board.

Change 215405 had a related patch set uploaded (by Mattflaschen):
Fix users getting notifications despite not having Special:NewMessages.

https://gerrit.wikimedia.org/r/215405

Change 215405 merged by jenkins-bot:
Fix users getting notifications despite not having Special:NewMessages.

https://gerrit.wikimedia.org/r/215405

Elitre added a subscriber: Elitre.EditedJun 10 2015, 7:46 AM

This happened again on mediawiki.org?
PS: On second thought, I don't know if those pages were unread or not. I just didn't appreciate being flooded with emails and having a red "40" notice on wiki.

yep this also happened to me yesterday. I got 150+ e-mails and it's likely other people got spammed in a similar way. I'd ask that this is considered a higher priority to fix as it gives a bad first impression of Flow.

Please post screenshots of your emails. MediaWiki has lots of different email notification types, and I need to know for sure what kind you got.

If it's more than one type, please post a screenshot of each type.

I got 62 of these :